Bug 1221217 - [RFE] Document installer's puppet nature and that changes would be overwritten
Summary: [RFE] Document installer's puppet nature and that changes would be overwritten
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Charles Wood
QA Contact: Lucie Jirakova
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-05-13 13:59 UTC by Stephen Benjamin
Modified: 2019-08-12 16:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-07 09:15:22 UTC


Attachments (Terms of Use)

Description Stephen Benjamin 2015-05-13 13:59:55 UTC
The installer is puppet-based which could create surprises for users when they edit some configurations manually, and later run the installer again.  Their manual changes could be overwritten. This should be made clear in the installer documentation.

If a user is worried that the installer might overwrite some changes, they can perform --noop and review the /var/log/katello-installer/katello-installer.log to see what changes would be applied.

In the case of overwriting changes the user did not expect they can be recovered.  Files do get backed up, in the katello-installer logs anytime we overwrite a file, you'll see an entry like this about the Filebucket:

/Stage[main]/Dhcp/File[/etc/dhcp/dhcpd.conf]: Filebucketed /etc/dhcp/dhcpd.conf to puppet with sum 622d9820b8e764ab124367c68f5fa3a1


The old file is restorable with this command:
  puppet filebucket -l restore /etc/dhcp/dhcpd.conf 622d9820b8e764ab124367c68f5fa3a1

Comment 1 RHEL Product and Program Management 2015-05-13 14:02:48 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Andrew Dahms 2016-12-01 05:28:59 UTC
Assigning to Charles for review.

Charles - perhaps at the start of Chapter 3 might be a good location for this?

https://doc-stage.usersys.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide/#installing_satellite_server

Also, David's commit in Comment #3 contains some text that we can use for this. You can find it under the issue "BZ 1221217: Rerunning installer can overwrite manual changes" in the following -

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Release_Notes/index.html


Note You need to log in before you can comment on or make changes to this bug.